svn commit: r291272 - user/ngie/more-tests2/sbin/geom/class/tests/raid3

Garrett Cooper ngie at FreeBSD.org
Wed Nov 25 00:17:27 UTC 2015


Author: ngie
Date: Wed Nov 25 00:17:25 2015
New Revision: 291272
URL: https://svnweb.freebsd.org/changeset/base/291272

Log:
  Implement graid3_test_cleanup, which calls graid3 stop $name, then
  geom_test_cleanup

Modified:
  user/ngie/more-tests2/sbin/geom/class/tests/raid3/conf.sh

Modified: user/ngie/more-tests2/sbin/geom/class/tests/raid3/conf.sh
==============================================================================
--- user/ngie/more-tests2/sbin/geom/class/tests/raid3/conf.sh	Wed Nov 25 00:12:13 2015	(r291271)
+++ user/ngie/more-tests2/sbin/geom/class/tests/raid3/conf.sh	Wed Nov 25 00:17:25 2015	(r291272)
@@ -5,4 +5,11 @@ name="test"
 class="raid3"
 base=`basename $0`
 
+graid3_test_cleanup()
+{
+	[ -c /dev/$class/$name ] && graid3 stop $name
+	geom_test_cleanup
+}
+trap graid3_test_cleanup ABRT EXIT INT TERM
+
 . `dirname $0`/../geom_subr.sh


More information about the svn-src-user mailing list